package main

import (
	"fmt"
	"time"
)

func Count(ident string, n int) {
	for i := 1; i <= n; i++ {
		fmt.Printf("%s%d ", ident, i)
		time.Sleep(50 * time.Microsecond)
	}
}

func testGoroutines() {
	go Count("A", 5)
	go Count("B", 4)
}

func addBytesChannel(a, b byte, result chan byte) {
	result <- a + b
}

func ChannelExample() {
	result := make(chan byte)
	go addBytesChannel(3, 4, result)
	res := <-result
	fmt.Println(res)
}

func main() {
	testGoroutines()
	fmt.Scanln() // wait so we can see all goroutines finish
	ChannelExample()
}
